@charset "utf-8";
/* ===================================
common
====================================*/
:root {
    --primary-white: #FFFFFF;
    --primary-navy: #0A2240;
    --primary-darkblue: #13345A;
    --primary-black: #000000;
    --primary-lightblack: #333333;
    --primary-green: #018E7E;
    --primary-lightgreen: #A9D4D9;
    --primary-gray: #EFF1F4;
    --primary-orange: #F8B500;
    --primary-red: #FF0000;
}

html {
    font-size: 62.5%;
}

body {
    font-family:
        'Noto Sans JP',
        Montserrat;
    font-style: normal;
    color: var(--primary-lightblack, #333333);
    background-color: var(--primary-white, #FFFFFF);
    line-height: 1.5;
}

html,
body {
    overflow-x: hidden;
}

.section-title {
    color: var(--primary-navy, #0A2240);
    text-align: center;
    font-family: Montserrat;
    font-size: 2rem;
    font-weight: bold;
    text-decoration: underline;
    text-decoration-color: var(--primary-darkblue, #13345A);
    text-decoration-thickness: 2px;
    text-underline-offset: 10px;
    line-height: 1;
    margin: 0 auto;
}

/* ===================================
main  visual
====================================*/
.main-visual {
    width: 100%;
    overflow: hidden;
}

.main-visual img {
    width: 100%;
    height: auto;
}

.sp-fv {
    display: block;
}

.pc-fv {
    display: none;
}

@media screen and (min-width: 769px) {
.section-title {
    font-size: 4rem !important;
}


.pc-fv {
    display: block;
}

.sp-fv {
    display: none;
}
}

/* ===================================
Anchor-links
====================================*/
.anchor-links {
    background-color: var(--primary-white, #FFFFFF);
    padding: 20px 0 0;
    display: block;
}

.anchor-links ul {
    display: flex;
    justify-content: flex-end;
    gap: 48px;
    list-style: none;
    padding-right: 32px;
}

.anchor-links a {
    text-decoration: none;
    color: var(--primary-navy,#0A2240);
    font-family:  Montserrat;
    font-size: 1.3rem;
    font-weight: bold;
    display: flex;
    align-items: center;
}

.anchor-arrow {
    width: 15px;
    height: auto;
    margin-left: 8px;
    position: relative;
    top: 2px;
    transition: transform 0.3s;
}

.anchor-links a:hover .anchor-arrow {
    transform: translateY(3px);
}

@media screen and (min-width: 769px) {
    .anchor-links {
        display: none;
    }
}

/* ===================================
Course
====================================*/
.course-section {
    padding: 40px 6.6% 60px;
}

.section-title {
    font-size: 2.4rem;
    display: inline-block;
}

.subtitle {
    font-size: 1.5rem;
    font-weight: bold;
    margin-top: 20px;
}

.subtitle span {
    font-size: 1.3rem;
    font-weight: normal;   
}

.course-grid {
    margin-top: 40px;
}

.course-item {
    padding: 0;
    background: none;
    border: none;
}

.course-title {
    display: inline-block;
    width: 186px;
    padding: 20px 20px 20px 20px;
    background-color: rgba(1, 142, 126, 0.05);
    font-size: 1.6rem;
    font-weight: bold;
    color: var(--primary-darkblue,#13345A);
    margin-bottom: 12px;
    position: relative;
    transition: background-color 1.5s ease;
}

.course-title::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 4px;
    height: 12px;
    background-color: #018E7E;
    border-radius: 6px;
    transition: height 1.5s ease;
}

.course-title.is-active {
    background-color: rgba(1, 142, 126, 0.15);
}

.course-title.is-active::before {
    height: 100%;
}

.course-item {
    overflow: hidden;
    transition: height 0.45s cubic-bezier(0.4, 0, 0.2, 1);
}

.course-item:hover .course-title {
    background-color: rgba(1, 142, 126, 0.15);
}

.course-description {
    font-size: 1.4rem;
    line-height: 1.8;
}

.course-item:not(:last-child) {
    margin-bottom: 32px;
}

.pcBr {
    display: none;
}

@media screen and (min-width: 769px) {
.pcBr {
    display: inline; 
}

.course-section {
    max-width: 1440px;
    margin: 0 auto;
    padding: 80px 5.5% 120px;
}

.subtitle {
    font-size: 1.8rem;
    font-weight: bold;
    margin-top: 20px;
}

.subtitle span {
    font-size: 1.6rem;
    font-weight: normal;   
}

.course-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 60px;
    margin-top: 60px;
}

.course-title {
    font-size: 2rem;
    width: 222px;
    margin-bottom: 20px;
}

.course-description {
    font-size: 1.6rem;
}
}

.course-item:hover .course-title::before {
    height: 100%;
}

.course-item:hover .course-title {
     background-color: rgba(1, 142, 126, 0.15);
}


/* ===================================
Price
====================================*/
.price-section {
    padding: 60px 8%;  
    background-color: #EFF1F4;
}

.container {
    max-width: 1440px;
    margin: 0 auto;
}

.price-table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 30px;
}

.price-table td {
    font-size: 1.4rem;
    text-align: left;
    padding: 20px 0;
    border-bottom: 1px solid #000000;
}

.price-image {
    display: none;
}

.price-table th {
    font-size: 1.5rem;
    font-weight: bold;
    color: #13345A;
    border-bottom: 1px solid #000000;
    padding-bottom: 20px;
}

.price-flex-container {
    margin-top: 50px;
}

.price-table th:nth-child(1),
.price-table td:nth-child(1) {
    text-align: left;
    white-space: nowrap;
}

.price-table th:nth-child(2),
.price-table td:nth-child(2) {
    text-align: center;
}

.price-table th:nth-child(2) {
    text-align: left;
    position: relative;
    left: -30px;
    white-space: nowrap;
}

.price-table tr:nth-child(2) td:nth-child(2) {
    opacity: 0.7;
}

.price-table th:nth-child(3),
.price-table td:nth-child(3) {
    text-align: right;
    white-space: nowrap;
}

.price-table th:nth-child(3) {
    position: relative;
    left: 9px;
}

.price-table tr:last-child td {
    border-bottom: none;
}

.price-note {
    text-align: left;
    font-size: 1.5rem;
    margin-top: 20px;
    margin-bottom: 60px;
    color: #333333;
}

.info-grid {
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.info-item h3 {
    font-size: 1.8rem;
    font-weight: bold;
    color: #0A2240;
    margin-bottom: 24px;
}

.info-item p {
    font-size: 1.6rem;
    line-height: 1.8;
    margin-bottom: 24px;
}

.info-item .small {
    font-size: 1.6rem;
    color: #333333;
    margin-top: 24px;
    display: block;
}

@media screen and (min-width: 769px) {
.price-section {
    padding: 60px 5.5% 120px;
}

.price-flex-container {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 75px;
    margin-top: 60px;
}

.price-content {
    flex: 1;
    max-width: 729px;
}

.price-image {
    display: block;
    flex: 0 0 350px;
}

.price-image img {
    width: 500px;
    height: 500px;
    object-fit: cover;
    border-radius: 50%;
}

.price-table {
    margin-bottom: 32px;
}

.price-table th {
    font-size: 2rem;
    padding-bottom: 24px;
}

.price-table td {
    font-size: 1.6rem;
    padding: 24px 0;
}

.price-table th:nth-child(n),
.price-table td:nth-child(n) {
    text-align: left !important;
}

.price-table th:nth-child(2) {
    position: static;
    left: 0;
}

.price-table th, .price-table td {
    padding-left: 10px;
}

.price-table th:nth-child(3) {
    position: relative;
    left: -2px;
    white-space: nowrap;
}

.info-grid {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    gap: 80px;
    margin-top: 40px;
}

.info-item {
    flex: 0 1 auto;
}

.info-item h3 {
    font-size: 2rem;
    margin-bottom: 24px;
}

.info-item .small {
    margin-top: 10px;
    display: block;
    color: #333333;
}

.spBr {
    display: none !important;
}
}

/* ===================================
体験レッスン
====================================*/
.trial-section {
    padding: 60px 8%;
}

.trial-section .container {
    text-align: center;
}

.section-title2 {
    font-size: 2.4rem;
    font-weight: bold;
    color: var(--primary-navy),#0A2240;
    text-align: center;
}

.section-subtitle {
    font-size: 1.6rem;
    font-weight: bold;
    color: var(--primary-lightblack),#333333;
    text-align: center;
    margin-top: 40px;
    margin-bottom: 40px;
    display: inline-block;
    border-bottom: 1px solid #333333;
    padding-bottom: 5px;
}

.flow-list {
    list-style: none;
    padding: 0;
    margin: 0 auto;
}

.flow-item {
    margin-bottom: 0;
}

.step-label {
    background-color: #A9D4D9;
    padding: 20px 2.6%;
    text-align: center;
    border: 1px solid #13345A;
    display: flex;
    flex-direction: row;
    align-items: center;
    text-align: center;
    width: auto;
}

.step-num {
    display: block;
    font-size: 2rem;
    font-weight: bold;
    color: #FFFFFF;
    letter-spacing: 0.05em;
    line-height: 1.2;
}

.big-num {
    font-size: 2.8rem;
    margin-left: 5px;
}

.step-title {
    display: block;
    font-size: 1.8rem;
    font-weight: bold;
    color: #0A2240;
    margin-top: 5px;
    margin-left: 11px;
    white-space: normal;
}

.step-body {
    background-color: #FFFFFF;
    padding: 29px 3.1%;
    border: 1px solid #13345A;
    border-top: none;
}

.step-body p {
    font-size: 1.6rem;
    text-align: left;
    line-height: 1.8;
}

.flow-arrow img {
    width: 50px;
    height: auto;
    margin-top: 20px;
    margin-bottom: 20px;
}

@media screen and (min-width: 769px) {
.trial-section {
    padding: 60px 18% 120px;
}

.section-title2 {
    font-size: 3.6rem;
}

.section-subtitle {
    font-size: 2.4rem;
    margin-top: 60px;
    margin-bottom: 60px;
}

.flow-item {
    position: relative;
    display: flex;
    align-items: stretch;
    max-width: 921px;
    margin: 0 auto 87px;
}

.flow-arrow {
    position: absolute;
    left: 50%;
    bottom: -79px;
    transform: translateX(-50%);
}

.step-label {
    width: 195px;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-right: none;
}

.step-body {
    flex-grow: 1;
    border: 1px solid #13345A;
    display: flex;
    align-items: center;
    min-height: 157px;
}

.step-num,
.step-title {
    font-size: 2.4rem;
}

.step-title {
    white-space: nowrap;
    margin-top: 8px;
    margin-left: 0;
}

.big-num {
    font-size: 3.2rem;
}
}

/* ===================================
入会後
====================================*/
.after-joining {
    padding: 60px 8%;
    background-color: #EFF1F4;
}

.after-joining .flex-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
}

.after-joining .image-box img {
    width: 100%;
    max-width: 315px;
    height: auto;
    margin-top: 40px;
}

.after-joining .text-box {
    width: 100%;
    text-align: left;
}

.text-box p {
    font-size: 1.6rem;
    color: #333333;
    line-height: 1.8;
    margin-bottom: 24px;
    text-align: justify;
}

.text-box p:last-child {
    margin-bottom: 0;
}

@media screen and (min-width: 769px) {
.after-joining {
    padding: 60px 13.6% 120px;
}

.after-joining .flex-wrapper {
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    gap: 50px;
    max-width: 1049px;
    margin: 0 auto;
    margin-top: 80px;
}

.after-joining .image-box {
    flex: 0 0 40%;
}

.after-joining .image-box img {
   max-width: 393px;
   margin-top: 24px;
}

.after-joining .text-box {
    flex: 1;
}

.after-joining .text-box,
.after-joining .text-box p {
    text-align: center;
}
}

/* ===================================
レッスンのスタイル
====================================*/
.lesson-style {
    padding: 60px 8%;
    background-color: #FFFFFF;
}

.lesson-style .flex-wrapper {
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.lesson-style .text-box {
    text-align: left;
}

.lesson-style .text-box p {
    line-height: 1.8;
    margin-bottom: 30px;
    font-size: 1.6rem;
}

.lesson-style .image-box img {
    width: 100%;
    max-width: 315px;
    height: auto;
    display: block;
    margin: 0 auto;
    margin-top: 40px;
}

.footer__cta {
    display: flex;
    justify-content: center;
    margin-bottom: 60px;
}

.footer__cta {
    text-align: center;
    transition: transform 0.2s ease,filter 0.2s ease;
    cursor: pointer;
}

.contact-button {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 303px;
    height: 90px;
    background-color: #EEF2F3;
    border-radius: 100px;
    color: #0A2240;
    font-weight: bold;
    text-decoration: none;
    box-shadow: 2px 2px 2px rgb(19, 52, 90, 0.5);
    transition: all 0.3s ease;
}

.contact-button__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.contact-button__text {
    font-family: Montserrat;
    font-size: 1.6rem;
    font-weight: bold;
    line-height: 1.8;
    display: block;
}

.contact-button__subtext {
    font-size: 1.2rem;
    font-weight: normal;
    display: block;
    margin-bottom: 8px;
}

.footer__cta:hover {
    transform: translateY(-4px);
    filter: brightness(1.1);
}

.footer__cta:active {
    transform: translateY(2px);
    filter: brightness(0.9);
    transition: transform 0.05s;
}

@media screen and (min-width: 769px) {
.lesson-style {
    padding: 60px 13.3%;
}

.lesson-style .flex-wrapper {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: center;
    gap: 80px;
    max-width: 1056px;
    margin: 0 auto;
    margin-top: 60px;
}

.lesson-style .text-box {
    flex: 1;
    text-align: center;
}

.lesson-style .text-box p {
    text-align: center;
    font-size: 1.6rem;
    line-height: 1.8;
    margin-bottom: 30px;
}

.lesson-style .image-box {
    flex: 0 0 45%;
}

.lesson-style .image-box img {
    width: 100%;
    max-width: 472px;
    height: auto;
    margin-top: 0;
}

.contact-button {
    width: 465px;
    height: 107px;
    padding: 0 40px;
}

.contact-button__text {
    font-size: 2.4rem;
}

.contact-button__subtext {
    font-size: 1.6rem;
    margin-bottom: 12px;
}

.arrow {
    right: 40px;
}
}















